Index: NEMO/trunk/src/OCE/LDF/ldfslp.F90
===================================================================
--- NEMO/trunk/src/OCE/LDF/ldfslp.F90	(revision 13237)
+++ NEMO/trunk/src/OCE/LDF/ldfslp.F90	(revision 13295)
@@ -137,10 +137,10 @@
       zwz(:,:,:) = 0._wp
       !
-      DO_3D_10_10( 1, jpk )
+      DO_3D( 1, 0, 1, 0, 1, jpk )
          zgru(ji,jj,jk) = umask(ji,jj,jk) * ( prd(ji+1,jj  ,jk) - prd(ji,jj,jk) )
          zgrv(ji,jj,jk) = vmask(ji,jj,jk) * ( prd(ji  ,jj+1,jk) - prd(ji,jj,jk) )
       END_3D
       IF( ln_zps ) THEN                           ! partial steps correction at the bottom ocean level
-         DO_2D_10_10
+         DO_2D( 1, 0, 1, 0 )
             zgru(ji,jj,mbku(ji,jj)) = gru(ji,jj)
             zgrv(ji,jj,mbkv(ji,jj)) = grv(ji,jj)
@@ -148,5 +148,5 @@
       ENDIF
       IF( ln_zps .AND. ln_isfcav ) THEN           ! partial steps correction at the bottom ocean level
-         DO_2D_10_10
+         DO_2D( 1, 0, 1, 0 )
             IF( miku(ji,jj) > 1 )   zgru(ji,jj,miku(ji,jj)) = grui(ji,jj) 
             IF( mikv(ji,jj) > 1 )   zgrv(ji,jj,mikv(ji,jj)) = grvi(ji,jj)
@@ -173,5 +173,5 @@
       !
       IF ( ln_isfcav ) THEN
-         DO_2D_00_00
+         DO_2D( 0, 0, 0, 0 )
             zslpml_hmlpu(ji,jj) = uslpml(ji,jj) / ( MAX(hmlpt  (ji,jj), hmlpt  (ji+1,jj  ), 5._wp) &
                &                                  - MAX(risfdep(ji,jj), risfdep(ji+1,jj  )       ) ) 
@@ -180,5 +180,5 @@
          END_2D
       ELSE
-         DO_2D_00_00
+         DO_2D( 0, 0, 0, 0 )
             zslpml_hmlpu(ji,jj) = uslpml(ji,jj) / MAX(hmlpt(ji,jj), hmlpt(ji+1,jj  ), 5._wp)
             zslpml_hmlpv(ji,jj) = vslpml(ji,jj) / MAX(hmlpt(ji,jj), hmlpt(ji  ,jj+1), 5._wp)
@@ -186,5 +186,5 @@
       END IF
 
-      DO_3D_00_00( 2, jpkm1 )
+      DO_3D( 0, 0, 0, 0, 2, jpkm1 )
          !                                      ! horizontal and vertical density gradient at u- and v-points
          zau = zgru(ji,jj,jk) * r1_e1u(ji,jj)
@@ -233,5 +233,5 @@
       !                                            !* horizontal Shapiro filter
       DO jk = 2, jpkm1
-         DO_2D_00_00
+         DO_2D( 0, 0, 0, 0 )
             uslp(ji,jj,jk) = z1_16 * (        zwz(ji-1,jj-1,jk) + zwz(ji+1,jj-1,jk)      &
                &                       +      zwz(ji-1,jj+1,jk) + zwz(ji+1,jj+1,jk)      &
@@ -260,5 +260,5 @@
          END DO
          !                                        !* decrease along coastal boundaries
-         DO_2D_00_00
+         DO_2D( 0, 0, 0, 0 )
             uslp(ji,jj,jk) = uslp(ji,jj,jk) * ( umask(ji,jj+1,jk) + umask(ji,jj-1,jk  ) ) * 0.5_wp   &
                &                            * ( umask(ji,jj  ,jk) + umask(ji,jj  ,jk+1) ) * 0.5_wp
@@ -272,5 +272,5 @@
       ! ===========================      | wslpj = mij( d/dj( prd ) / d/dz( prd )
       !
-      DO_3D_00_00( 2, jpkm1 )
+      DO_3D( 0, 0, 0, 0, 2, jpkm1 )
          !                                  !* Local vertical density gradient evaluated from N^2
          zbw = zm1_2g * pn2 (ji,jj,jk) * ( prd (ji,jj,jk) + prd (ji,jj,jk-1) + 2. )
@@ -307,5 +307,5 @@
       !                                           !* horizontal Shapiro filter
       DO jk = 2, jpkm1
-         DO_2D_00_00
+         DO_2D( 0, 0, 0, 0 )
             zcofw = wmask(ji,jj,jk) * z1_16
             wslpi(ji,jj,jk) = (         zwz(ji-1,jj-1,jk) + zwz(ji+1,jj-1,jk)     &
@@ -338,5 +338,5 @@
          END DO
          !                                        !* decrease in vicinity of topography
-         DO_2D_00_00
+         DO_2D( 0, 0, 0, 0 )
             zck =   ( umask(ji,jj,jk) + umask(ji-1,jj,jk) )   &
                &  * ( vmask(ji,jj,jk) + vmask(ji,jj-1,jk) ) * 0.25
@@ -401,5 +401,5 @@
          !
          ip = jl   ;   jp = jl                ! guaranteed nonzero gradients ( absolute value larger than repsln)
-         DO_3D_10_10( 1, jpkm1 )
+         DO_3D( 1, 0, 1, 0, 1, jpkm1 )
             zdit = ( ts(ji+1,jj,jk,jp_tem,Kbb) - ts(ji,jj,jk,jp_tem,Kbb) )    ! i-gradient of T & S at u-point
             zdis = ( ts(ji+1,jj,jk,jp_sal,Kbb) - ts(ji,jj,jk,jp_sal,Kbb) )
@@ -413,5 +413,5 @@
          !
          IF( ln_zps .AND. l_grad_zps ) THEN     ! partial steps: correction of i- & j-grad on bottom
-            DO_2D_10_10
+            DO_2D( 1, 0, 1, 0 )
                iku  = mbku(ji,jj)          ;   ikv  = mbkv(ji,jj)             ! last ocean level (u- & v-points)
                zdit = gtsu(ji,jj,jp_tem)   ;   zdjt = gtsv(ji,jj,jp_tem)      ! i- & j-gradient of Temperature
@@ -427,5 +427,5 @@
 
       DO kp = 0, 1                            !==  unmasked before density i- j-, k-gradients  ==!
-         DO_3D_11_11( 1, jpkm1 )
+         DO_3D( 1, 1, 1, 1, 1, jpkm1 )
             IF( jk+kp > 1 ) THEN        ! k-gradient of T & S a jk+kp
                zdkt = ( ts(ji,jj,jk+kp-1,jp_tem,Kbb) - ts(ji,jj,jk+kp,jp_tem,Kbb) )
@@ -442,5 +442,5 @@
       END DO
       !
-      DO_2D_11_11
+      DO_2D( 1, 1, 1, 1 )
          jk = MIN( nmln(ji,jj), mbkt(ji,jj) ) + 1     ! MIN in case ML depth is the ocean depth
          z1_mlbw(ji,jj) = 1._wp / gdepw(ji,jj,jk,Kmm)
@@ -462,5 +462,5 @@
       DO jl = 0, 1                            ! calculate slope of the 4 triads immediately ONE level below mixed-layer base
          DO kp = 0, 1                         ! with only the slope-max limit   and   MASKED
-            DO_2D_10_10
+            DO_2D( 1, 0, 1, 0 )
                ip = jl   ;   jp = jl
                !
@@ -499,5 +499,5 @@
                ! Must mask contribution to slope from dz/dx at constant s for triads jk=1,kp=0 that poke up though ocean surface
                znot_thru_surface = REAL( 1-1/(jk+kp), wp )  !jk+kp=1,=0.; otherwise=1.0
-               DO_2D_10_10
+               DO_2D( 1, 0, 1, 0 )
                   !
                   ! Calculate slope relative to geopotentials used for GM skew fluxes
@@ -628,5 +628,5 @@
       !
       !                                            !==   surface mixed layer mask   !
-      DO_3D_11_11( 1, jpk )
+      DO_3D( 1, 1, 1, 1, 1, jpk )
          ik = nmln(ji,jj) - 1
          IF( jk <= ik ) THEN   ;   omlmask(ji,jj,jk) = 1._wp
@@ -646,5 +646,5 @@
       !-----------------------------------------------------------------------
       !
-      DO_2D_00_00
+      DO_2D( 0, 0, 0, 0 )
          !                        !==   Slope at u- & v-points just below the Mixed Layer   ==!
          !
